%define name magicpoint
%define ver 1.06a
%define rel 2

Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: Copyright (C) 1997 and 1998 WIDE Project.  All rights reserved.
Packager: ZUKERAN, shin <shin@ryukyu.ad.jp>
Buildroot: /var/tmp/mgp-root
Group: X11/Applications
#Source: ftp://sh.wide.ad.jp/WIDE/free-ware/mgp-snap/mgp-snap-980824.tar.gz
Source: ftp://ftp.mew.org/pub/MagicPoint/%{name}-%{ver}.tar.gz
#Patch: magicpoint.patch
Patch: magicpoint-%{ver}.vine.patch
PreReq: VFlib
PreReq: freetype
Summary: magicpoint

%changelog
%changelog 
* Sun Sep 15 1999 Satoshi Nagayasu <snaga@oak.forus.or.jp>
- update to 1.06a

* Fri Mar  5 1999 MATSUMOTO Shoji <vine@flatout.org>
- use VFlib (for mgp2ps)
- replace freetype&vflib libs dir patch to vine.patch (configure)

* Thu Feb  4 1999 ZUKERAN, shin <shin@ryukyu.ad.jp>
- add patch for freetype & vflib library's directoty (/usr/lib/lib).

* Tue Oct 27 1998 ZUKERAN, shin <zukkun@opus.or.jp>
- change package name to 'magicpoint-<version>.rpm'.

%description

MagicPoint is an X11 based presentation tool.  It is designed to make
simple presentations easy while to make complicated presentations
possible.  Its presentation file (whose suffix is typically .mgp) is
just text so that you can create presentation files quickly with your
favorite editor (e.g. Emacs).

%prep
%setup
%patch -p0
%build
#./configure --with-x  --disable-vflib 
./configure --with-vfontcap=/etc/vfontcap --with-x
xmkmf -a
make clean
make
%install
mkdir -p $RPM_BUILD_ROOT/usr/bin/
make DESTDIR="$RPM_BUILD_ROOT" install
make DESTDIR="$RPM_BUILD_ROOT" install.man
install -c -m 0755 contrib/mgp2latex.pl $RPM_BUILD_ROOT/usr/bin/mgp2latex
install -c -m 0755 contrib/mgp2html.pl $RPM_BUILD_ROOT/usr/bin/mgp2html

%clean
make clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/mgp2latex
/usr/bin/mgp2html
/usr/X11R6/bin/mgp
/usr/X11R6/bin/mgp2ps
/usr/X11R6/bin/mgpembed
/usr/X11R6/bin/mgpnet
/usr/X11R6/bin/xwintoppm
/usr/X11R6/lib/X11/mgp/default.mgp
/usr/X11R6/lib/X11/mgp/mgp1.gif
/usr/X11R6/lib/X11/mgp/mgp2.gif
/usr/X11R6/lib/X11/mgp/mgp3.gif
/usr/X11R6/man/man1/mgp.1x
/usr/X11R6/man/man1/mgp2ps.1x
/usr/X11R6/man/man1/mgpembed.1x
/usr/X11R6/man/man1/mgpnet.1x
/usr/X11R6/man/man1/xwintoppm.1x

%doc sample COPYRIGHT COPYRIGHT.jp FAQ README README.fonts README.fonts.jp README.lang SYNTAX TODO.jp USAGE USAGE.jp
